package com.zanxiang.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.ArrayList;
import java.util.List;
import java.util.stream.Collectors;

/**
 * 支付设备类型
 *
 * @author xufeng
 * @date 2022/6/16 18:07
 */
@Getter
@AllArgsConstructor
public enum PayDeviceEnum {

    /**
     * Pc端支付
     */
    PC_PAY(1, "pc", "Pc二维码支付"),

    /**
     * h5支付
     */
    H5_PAY(2, "h5", "h5支付"),

    /**
     * App支付
     */
    APP_PAY(3, "app", "App支付"),

    /**
     * 小程序支付
     */
    MINI_APP_PAY(4, "mp", "微信小程序支付"),

    /**
     * 米大师支付
     */
    MI_PAY(5, "miPay", "微信米大师支付"),

    /**
     * 客服支付
     */
    CUSTOM_PAY(6, "customPay", "客服支付");

    private Integer code;

    private String name;

    private String desc;


    public static String getDescByNum(Integer code) {
        PayDeviceEnum[] values = PayDeviceEnum.values();
        for (int i = 0; i < values.length; i++) {
            if (values[i].getCode().equals(code)) {
                return values[i].getDesc();
            }
        }
        return "";
    }

    public static String getDesc(String obj) {
        List<String> Desc = new ArrayList<>(10);
        String str = obj.substring(1, obj.length() - 1);
        String[] strArr = str.split(",");
        for (int i = 0; i < strArr.length; i++) {
            String name = PayDeviceEnum.getDescByNum(Integer.valueOf(strArr[i]));
            Desc.add(name);
        }
        return Desc.stream().collect(Collectors.joining(","));
    }
}
