package com.zanxiang.manage.domain.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author : lingfeng
 * @time : 2022-11-21
 * @description : 账号新增或者更新
 */
@Data
public class PromoAccountAddUpdateParam {

    /**
     * 主键
     */
    @ApiModelProperty(notes = "主键, 不传是新建, 传是更新")
    private Long id;

    /**
     * 推广媒体id
     */
    @ApiModelProperty(notes = "推广媒体id")
    @NotNull(message = "推广媒体id不可为空")
    private Long mediaId;

    /**
     * 推广账号类型
     */
    @ApiModelProperty(notes = "推广账号类型")
    @NotNull(message = "推广账号类型不可为空")
    private Integer accountType;

    /**
     * 推广账号id
     */
    @ApiModelProperty(notes = "推广账号id")
    @NotBlank(message = "推广账号id不可为空")
    private String account;

    /**
     * 推广账号名称
     */
    @ApiModelProperty(notes = "推广账号名称")
    @NotBlank(message = "推广账号名称不可为空")
    private String name;

    /**
     * 投手项目组
     */
    @ApiModelProperty(notes = "投手项目组")
    @NotBlank(message = "投手项目组不可为空")
    private String pitcherGroupId;

    /**
     * 投手项目组名称
     */
    @ApiModelProperty(notes = "投手项目组名称")
    @NotBlank(message = "投手项目组名称不可为空")
    private String pitcherGroupName;

    /**
     * 投手id
     */
    @ApiModelProperty(notes = "投手id")
    @NotBlank(message = "投手id不可为空")
    private String pitcherId;

    /**
     * 投手名称
     */
    @ApiModelProperty(notes = "投手名称")
    @NotBlank(message = "投手名称不可为空")
    private String pitcherName;

    /**
     * 备注
     */
    @ApiModelProperty(notes = "备注")
    private String remark;
}
