package com.zanxiang.manage.domain.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.time.LocalDate;

/**
 * @author : lingfeng
 * @time : 2022-11-22
 * @description : 账号指派
 */
@Data
public class PromoAccountAssignParam {

    /**
     * 主键
     */
    @ApiModelProperty(notes = "主键")
    @NotNull(message = "主键id不可为空")
    private Long id;

    /**
     * 投手项目组
     */
    @ApiModelProperty(notes = "投手项目组")
    @NotBlank(message = "投手项目组不可为空")
    private String pitcherGroupId;

    /**
     * 投手项目组名称
     */
    @ApiModelProperty(notes = "投手项目组名称")
    @NotBlank(message = "投手项目组名称不可为空")
    private String pitcherGroupName;

    /**
     * 投手id
     */
    @ApiModelProperty(notes = "投手id")
    @NotBlank(message = "投手id不可为空")
    private String pitcherId;

    /**
     * 投手名称
     */
    @ApiModelProperty(notes = "投手名称")
    @NotBlank(message = "投手名称不可为空")
    private String pitcherName;

    /**
     * 开始时间
     */
    @ApiModelProperty(notes = "开始时间")
    @NotNull(message = "开始时间不可为空")
    private LocalDate startTime;

    /**
     * 备注
     */
    @ApiModelProperty(notes = "备注")
    private String remark;
}
