package com.zanxiang.mybatis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2022-07-08
 * @description : 游戏小程序信息
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@Builder
@TableName("t_game_applet")
public class GameApplet {

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 游戏id
     */
    private Long gameId;

    /**
     * 小程序appId
     */
    private String appId;

    /**
     * 小程序原始id
     */
    private String ghId;

    /**
     * 小程序名称
     */
    private String appName;

    /**
     * 小程序密钥
     */
    private String appSecret;

    /**
     * 消息推送token
     */
    private String msgPushToken;

    /**
     * 消息推送加密密钥
     */
    private String msgPushAesKey;

    /**
     * 公司主体信息
     */
    private String company;

    /**
     * 登录账号
     */
    private String account;

    /**
     * 登录密码
     */
    private String password;

    /**
     * 管理员
     */
    private String manager;

    /**
     * 管理员微信
     */
    private String managerVx;

    /**
     * 备注
     */
    private String remark;

    /**
     * 1 删除  0 正常
     */
    @TableLogic
    private Integer isDelete;

    /**
     * 状态, 0 正常, 1 不可用
     */
    private Integer status;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;
}