package com.zanxiang.sdk.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.mybatis.entity.GamePayWay;
import com.zanxiang.sdk.domain.dto.GamePayWayDTO;
import org.springframework.stereotype.Component;

/**
 * @author xufeng
 * @date 2022/6/13 11:27
 */
@Component
public interface GamePayWayService extends IService<GamePayWay> {
    /**
     * 根据id获取游戏支付方式详情
     *
     * @param id
     * @return
     */
    GamePayWay getInfo(String id);

    /**
     * 根据游戏ID与支付方式获支付配置
     *
     * @param gameId
     * @param payType
     * @return
     */
    GamePayWay getPayWayToOrderPay(String gameId, Integer payType);

    /**
     * 获取游戏支付配置
     *
     * @param gameId      游戏id
     * @param payWayId    支付方式id
     * @param payDeviceId 支付设备id
     * @return {@link GamePayWayDTO}
     */
    GamePayWayDTO getGamePayWay(String gameId, Long payWayId, Long payDeviceId);
}
