package com.zanxiang.sdk.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.mybatis.entity.Order;
import com.zanxiang.sdk.domain.bo.PlatformOrderBO;
import com.zanxiang.sdk.domain.dto.PlatformOrderDTO;
import com.zanxiang.sdk.domain.params.ProductPayParam;
import com.zanxiang.sdk.domain.params.UserData;

/**
 * 平台订单逻辑开发
 *
 * @author xufeng
 * @date 2022-06-06 17:06
 */

public interface OrderService extends IService<Order> {

    /**
     * 创建订单
     *
     * @param payParam 支付参数
     * @param userData 用户数据
     * @return {@link Boolean}
     */
    Boolean createOrder(ProductPayParam payParam, UserData userData);

    /**
     * 订单支付
     *
     * @param platformOrderBO
     * @return true/false
     */
    Boolean pay(PlatformOrderBO platformOrderBO);

    /**
     * 单一订单详情获取
     *
     * @param orderId
     * @return PlatformOrderDTO
     */
    PlatformOrderDTO info(String orderId);
}
